package org.example;

import com.alibaba.quickbi.pluginx.facade.file.FileUploadCustomHandler;
import com.alibaba.quickbi.pluginx.facade.file.FileUploadParameter;
import com.alibaba.quickbi.pluginx.facade.model.CustomContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author demo
 * @date 2024/1/2
 */
public class ExampleFileUploadHandler implements FileUploadCustomHandler {

    private static final Logger _log = (Logger) LoggerFactory.getLogger("thirdPlugin");

    @Override
    public FileUploadParameter process(FileUploadParameter fileUploadParameter, CustomContext context) throws Throwable {
        MultipartFile file = fileUploadParameter.getFile();
        long size = file.getSize();
        _log.info("文件大小为"+size);
        fileUploadParameter.setIdentifyName(fileUploadParameter.getIdentifyName()+"_plg");
        return fileUploadParameter;
    }
}